LAYERTITLESPACE in GetLegendGraphic is not taken into account

2018-12-01 04:59 PM - Daniele Viganò

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:3.5(master) Regression?: No

Operating System: Fedora 29 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28513

Description

When generating a legend via 'GetLegendGraphic' QGIS Server is not honoring the 'LAYERTITLESPACE' parameter.

Documentation says:

LAYERTITLESPACE vertical space between layer title and items following (mm)

But nothing changes in the output when value of LAYERTITLESPACE is adjusted.

See attachments for examples of a legend with LAYERTITLESPACE=10 and LAYERTITLESPACE=1

I'm running QGIS Server 3.4.2 on Fedora 29, but I was able to reproduce the issue either with 3.4.1 and Ubuntu.

Associated revisions

Revision d4999400 - 2019-01-04 02:32 PM - Alessandro Pasotti

[server] Respect layer title space when rendering legends

Fixes #20693 - LAYERTITLESPACE in GetLegendGraphic is not taken into account

History

#1 - 2018-12-01 05:07 PM - Daniele Viganò

Requested URL is:

LAYERTITLESPACE=10

/ogc/ghm?SERVICE=WMS&VERSION=1.3.0&SLD_VERSION=1.1.0&REQUEST=GetLegendGraphic&FORMAT=image/png&LAYER=Seismic%

20Hazard%20PGA%20%28g%29&TRANSPARENT=false&LAYERFONTSIZE=11&ITEMFONTSIZE=10&SYMBOLSPACE=1&SYMBOLWIDTH=5&SYMBOLHEIGT=5&ICONLABELSPACE=2&LAYERTITLE=true&LAYERTITLESPACE=10&&BOXSPACE=1&DPI=96


=5&SYMBOLHEIGT=5&ICONLABELSPACE=2&LAYERTITLE=true&LAYERTITLESPACE=10&&BOXSPACE=1&DPI=96

LAYERTITLESPACE=1

/ogc/ghm?SERVICE=WMS&VERSION=1.3.0&SLD_VERSION=1.1.0&REQUEST=GetLegendGraphic&FORMAT=image/png&LAYER=Seismic%

20Hazard%20PGA%20%28g%29&TRANSPARENT=false&LAYERFONTSIZE=11&ITEMFONTSIZE=10&SYMBOLSPACE=1&SYMBOLWIDTH=5&SYMBOLHEIGT=5&ICONLABELSPACE=2&LAYERTITLE=true&LAYERTITLESPACE=1&BOXSPACE=1&DPI=96


=5&SYMBOLHEIGT=5&ICONLABELSPACE=2&LAYERTITLE=true&LAYERTITLESPACE=1&BOXSPACE=1&DPI=96
#2 - 2019-01-04 11:42 AM - Alessandro Pasotti

I can confirm: there is absolutely nothing in the server code that uses that parameter, if it was working in QGIS 2.x this would be a regression, otherwise a

feature request.

#3 - 2019-01-04 12:03 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#4 - 2019-01-04 02:34 PM - Alessandro Pasotti

- Affected QGIS version changed from 3.4.2 to 3.5(master)

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/8793

#5 - 2019-01-04 05:52 PM - Paul Blottiere

By reading the code of QGIS 2.18, it doesn't seem to be a regression because the underlying parameter was not used either.

And thanks for the bugfix @elpaso.

#6 - 2019-01-05 09:39 PM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|d49994005cd956d189e34d1b7d5c435fb23f984c.

Files

LAYERTITLESPACE_10.png 11.7 KB 2018-12-01 Daniele Viganò

LAYERTITLESPACE_1.png 11.7 KB 2018-12-01 Daniele Viganò
